import React, { Component } from 'react';
import { Row, Col } from 'antd';

import PageHeader from '@imd/components/utility/pageHeader';
import Box from '@imd/components/utility/box';
import LayoutWrapper from '@imd/components/utility/layoutWrapper';
import ContentHolder from '@imd/components/utility/contentHolder';

import basicStyle from '@imd/assets/styles/constants';
import IsoWidgetsWrapper from '@imd/containers/Widgets/WidgetsWrapper';
import TotalSongsByDayLine from './Components/TotalSongsByDayLine/TotalSongsByDayLine';
import CardWidget from '@imd/containers/Widgets/Card/CardWidget';
import UserData from './Data/StreamingHistory0.json';

export default class extends Component {

  render() {

    let totalSongs = UserData.length;

    const CARD_WIDGET = [
      {
        icon: 'ion-music-note',
        iconcolor: '#F6638E',
        number: totalSongs.toString(),
        text: 'Total Listens',
      },
    ];

    const { rowStyle, colStyle, gutter } = basicStyle;

    return (
      <LayoutWrapper>
        <PageHeader>Analytics</PageHeader>
        <Row style={rowStyle} gutter={0} justify="start">
          <Col lg={6} md={12} sm={12} xs={24} style={colStyle}>
            {CARD_WIDGET.map((widget, idx) => (
              <IsoWidgetsWrapper key={idx} gutterBottom={20}>
                {/* Card Widget */}
                <CardWidget
                  icon={widget.icon}
                  iconcolor={widget.iconcolor}
                  number={widget.number}
                  text={widget.text}
                />
              </IsoWidgetsWrapper>
            ))}
          </Col>
          <Col lg={18} md={12} sm={12} xs={24} style={colStyle}>
          <IsoWidgetsWrapper>
              <Box title="Total Songs By Day">
                <ContentHolder>
                  <TotalSongsByDayLine />
                </ContentHolder>
              </Box>
            </IsoWidgetsWrapper>
          </Col>
        </Row>
      </LayoutWrapper>
    );
  };
}
